haptic_hwdata Struct Reference

`#include <SDL_windowshaptic_c.h>`

Collaboration diagram for haptic_hwdata:
[legend]

## Data Fields

DWORD | axes [3]
SDL_bool | is_joystick
Uint8 | bXInputHaptic
Uint8 | userid
SDL_Thread * | thread
SDL_mutex * | mutex
volatile Uint32 | stopTicks
volatile int | stopThread

## Detailed Description

Definition at line 34 of file SDL_windowshaptic_c.h.

## Field Documentation

DWORD haptic_hwdata::axes[3]

Definition at line 39 of file SDL_windowshaptic_c.h.

Uint8 haptic_hwdata::bXInputHaptic

Definition at line 41 of file SDL_windowshaptic_c.h.

SDL_bool haptic_hwdata::is_joystick

Definition at line 40 of file SDL_windowshaptic_c.h.

SDL_mutex* haptic_hwdata::mutex

Definition at line 44 of file SDL_windowshaptic_c.h.

volatile int haptic_hwdata::stopThread

Definition at line 46 of file SDL_windowshaptic_c.h.

volatile Uint32 haptic_hwdata::stopTicks

Definition at line 45 of file SDL_windowshaptic_c.h.

SDL_Thread* haptic_hwdata::thread

Definition at line 43 of file SDL_windowshaptic_c.h.

Uint8 haptic_hwdata::userid

Definition at line 42 of file SDL_windowshaptic_c.h.

The documentation for this struct was generated from the following file:

- src/haptic/windows/SDL_windowshaptic_c.h